Skip to main content

Comments

1 comment

  • The Customer

    ChemDraw 16.0 not compatible on Mac OSX 10.15.x Also versions prior to 19.0 are not supported with Mac OSX 10.15.x

    Please find the supported Mac OSX for ChemDraw v16.0 - 19.0

    v16.0 - Mac OSX 10.10.x, Mac OSX 10.11.x and Mac OSX 10.12.x
    v17.0 - Mac OSX 10.12.x and Mac OSX 10.13.x
    v18.x - Mac OSX 10.13.x and Mac OSX 10.14..x
    v19.x - Mac OSX 10.13.x, Mac OSX 10.14.x and Mac OSX 10.15.x

    So we recommend to retest the problem with v19.0.

    If you still run in to any problem, please visit http://informatics.perkinelmer.com/Support/Contact/ to submit a ticket (or send an email to informatics.support@perkinelmer.com), to get assistance from our Tech Support Team

    0

Please sign in to leave a comment.